%define major	3
%define libname	%mklibname %{name} %{major}
%define	devname	%mklibname -d %{name}

%define subrel 2

Name:		bluez
Summary:	Official Linux Bluetooth protocol stack
Version:	4.33
Release:	%mkrel 3
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://bluez.sourceforge.net/
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
Source1:	bluetooth.init
Source2:	pand.init
Source3:	dund.init
Source4:	hidd.init
Source5:	bluetooth.conf
Source6:	pand.conf
Source7:	dund.conf
Source8:	hidd.conf
Source9:	rfcomm.conf
Source10:	hidd.hotplug
Source11:	hidd.udev.rules
# (fc) 2.8-2mdk change default configuration (Fedora)
Patch0:		bluez-defaultconf.patch
# (fc) 2.25-4mdk fix cups backend location for x86-64
Patch3:		bluez-2.25-fixcups.patch
BuildRequires:	dbus-devel 
BuildRequires:	flex 
BuildRequires:	bison 
BuildRequires:	libusb-devel
BuildRequires:	libalsa-devel 
BuildRequires:	udev-tools 
BuildRequires:	libgstreamer0.10-plugins-base-devel 
BuildRequires:	gstreamer0.10-devel hal-devel
BuildRequires:	expat-devel
Requires:	python 
Requires:	bluez-pin 
Requires:	obex-data-server
Provides:	bluez-sdp
Obsoletes:	bluez-sdp < 4.0
Provides:	bluez-pan
Provides:	bluez-hciemu
Obsoletes:	bluez-hciemu
Provides:	bluez-utils
Obsoletes:	bluez-utils < 4.0
Suggests:	bluez-firmware

%description
These are the official Bluetooth communication libraries for Linux.

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluepin 5
#migrate old configuration
if [ "$1" = "2" -a -d %{_var}/lib/lib/bluetooth ]; then
 mv -f %{_var}/lib/lib/bluetooth/* %{_var}/lib/bluetooth/ > /dev/null 2>&1 || exit 0
 rmdir %{_var}/lib/lib/bluetooth/ > /dev/null 2>&1 || exit 0
 rmdir %{_var}/lib/lib/ > /dev/null 2>&1 || exit 0
fi

%_post_service bluetooth
%_post_service dund
%_post_service hidd
%_post_service pand

%preun
%_preun_service bluetooth
%_preun_service dund
%_preun_service hidd
%_preun_service pand

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove bluepin /usr/bin/bluepin
fi

%triggerpostun -- bluez-utils < 2.9-1mdk
/sbin/chkconfig bluetooth reset

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
/sbin/hidd
/sbin/bluetoothd
/sbin/udev_bluetooth_helper
%{_mandir}/man?/*
%dir %{_sysconfdir}/bluetooth
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/*.conf
%config(noreplace) %{_sysconfdir}/bluetooth
%config(noreplace) %{_datadir}/dbus-1/system-services/org.bluez.service
/lib/udev/bluetooth_serial
/%_lib/bluetooth/plugins/*
%{_sysconfdir}/udev/rules.d/97-bluetooth-serial.rules
%{_sysconfdir}/udev/rules.d/60-bluetooth.rules
%{_localstatedir}/lib/bluetooth

#--------------------------------------------------------------------

%package        cups
Summary:        CUPS printer backend for Bluetooth printers
Group:          System/Servers
Requires:       cups
Obsoletes:      %name-utils-cups

%description    cups
This package contains the CUPS backend for Bluetooth printers.

%files cups
%defattr(-, root, root)
%{_prefix}/lib/cups/backend/bluetooth

#--------------------------------------------------------------------

%package gstreamer
Summary: Gstreamer support for SBC audio format
Group: Sound
Obsoletes:      %name-utils-gstreamer

%description gstreamer
This package contains gstreamer plugins for the Bluetooth SBC audio format

%files gstreamer
%defattr(-, root, root)
%{_libdir}/gstreamer-*/*.so

#--------------------------------------------------------------------

%package alsa
Summary: ALSA support for Bluetooth audio devices
Group: Sound
Obsoletes:      %name-utils-alsa

%description alsa
This package contains ALSA support for Bluetooth audio devices

%files alsa
%defattr(-, root, root)
%doc audio/asound.conf
%{_libdir}/alsa-lib/*.so

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Official Linux Bluetooth protocol stack
Group:		System/Libraries
Provides:	lib%{name}-sdp2
Obsoletes:	lib%{name}-sdp2

%description -n	%{libname}
These are the official Bluetooth communication libraries for Linux.

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/lib*.so.%{major}*

#--------------------------------------------------------------------

%package -n	%{devname}
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-sdp-devel, lib%{name}-sdp2-devel
Obsoletes:	lib%{name}-sdp-devel, lib%{name}-sdp2-devel
Provides:	%{name}-sdp-devel
Obsoletes:	%{name}-sdp-devel
Obsoletes:	%{libname}-devel

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %{name}.

%files -n %{devname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_includedir}/bluetooth
%{_includedir}/bluetooth/*.h
/%{_lib}/*.so
/%{_lib}/*.la
%{_libdir}/pkgconfig/bluez.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%{version}
#%patch0 -p1 -b .defaultconf
%patch3 -p1 -b .fixcups

#needed by patch3
libtoolize --force
FORCE_AUTOCONF_2_5=1 AUTOMAKE="automake --add-missing" autoreconf

%build
# fix mdv bug 35444
%define _localstatedir %{_var}

%configure2_5x	--libdir=/%{_lib} --enable-cups \
                --enable-hid2hci \
                --enable-dfutool \
                --enable-tools \
                --enable-bccmd \
                --enable-gstreamer \
                --enable-hidd \
                --enable-pand \
                --enable-dund

%make

%install
rm -rf %{buildroot}
%makeinstall_std rulesdir=%{_sysconfdir}/udev/rules.d udevdir=/lib/udev 

mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/gstreamer-0.10 %{buildroot}%{_libdir}


cat << EOF > %{buildroot}%{_sysconfdir}/bluetooth/pin
1234
EOF

chmod 600 %{buildroot}%{_sysconfdir}/bluetooth/pin

rm -f %{buildroot}/etc/default/bluetooth %{buildroot}/etc/init.d/bluetooth
for a in bluetooth dund hidd pand ; do
        install -D -m0755 $RPM_SOURCE_DIR/$a.init %{buildroot}%{_sysconfdir}/rc.d/init.d/$a
        install -D -m0644 $RPM_SOURCE_DIR/$a.conf %{buildroot}%{_sysconfdir}/sysconfig/$a
done

rm -rf %{buildroot}/%{_lib}/pkgconfig
install -m644 bluez.pc -D  %{buildroot}%{_libdir}/pkgconfig/bluez.pc

# Remove the cups backend from libdir, and install it in /usr/lib whatever the install
rm -rf %{buildroot}%{_libdir}/cups
install -D -m0755 cups/bluetooth ${RPM_BUILD_ROOT}/usr/lib/cups/backend/bluetooth

install -D -m0644 scripts/bluetooth.rules %{buildroot}/%{_sysconfdir}/udev/rules.d/97-bluetooth-serial.rules
install -D -m0755 scripts/bluetooth_serial %{buildroot}/lib/udev/bluetooth_serial

mkdir -p %{buildroot}/sbin
cp %{buildroot}%{_bindir}/hidd %{buildroot}/sbin/
cp %{buildroot}%{_sbindir}/bluetoothd %{buildroot}/sbin/

cp test/test-* %{buildroot}%{_bindir}
cp test/simple-agent %{buildroot}%{_bindir}/simple-agent

install -D -m0755 %{SOURCE10} %{buildroot}/sbin/udev_bluetooth_helper
install -D -m0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/udev/rules.d/60-bluetooth.rules

#install more config files
install -m0644 audio/audio.conf %{buildroot}%{_sysconfdir}/bluetooth/
install -m0644 network/network.conf %{buildroot}%{_sysconfdir}/bluetooth/
install -m0644 input/input.conf %{buildroot}%{_sysconfdir}/bluetooth/

mkdir -p %buildroot%{_datadir}/dbus-1/system-services/
install -D -m0644 src/bluetooth.conf %{buildroot}%{_datadir}/dbus-1/system-services/org.bluez.service

%__mkdir -p %{buildroot}%{_libdir}/alsa-lib/
%__mv %{buildroot}/%{_lib}/alsa-lib/*.so %{buildroot}%{_libdir}/alsa-lib/

# remove unpackaged files
rm -f %{buildroot}/%{_libdir}/*/*.la
rm -f %{buildroot}/%{_lib}/*/*.la

install -d -m0755 %{buildroot}/%{_localstatedir}/lib/bluetooth

%clean
rm -fr %{buildroot}


%changelog
* Sun Jul 19 2009 Oden Eriksson <oeriksson@mandriva.com> 4.33-3.2mdv2009.1
- build for updates

* Wed May 13 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4.33-3.1mdv2009.1
+ Revision: 375383
- Install alsa libs at the good place

* Wed Apr 22 2009 Frederic Crozat <fcrozat@mandriva.com> 4.33-3mdv2009.1
+ Revision: 368734
- Fix incorrect provides / requires which could prevent installation of main package

* Sun Apr 05 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4.33-2mdv2009.1
+ Revision: 364106
- Fix dbus file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not make udev rules executable, there's no reason for doing so

* Tue Mar 17 2009 Emmanuel Andry <eandry@mandriva.org> 4.33-1mdv2009.1
+ Revision: 356929
- New version 4.33

* Tue Mar 03 2009 Emmanuel Andry <eandry@mandriva.org> 4.32-1mdv2009.1
+ Revision: 347744
- New version 4.32

* Fri Feb 27 2009 Emmanuel Andry <eandry@mandriva.org> 4.31-1mdv2009.1
+ Revision: 345705
- New version 4.31

* Wed Feb 18 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4.30-4mdv2009.1
+ Revision: 342549
- Bump release
- remove my debugs :/

* Wed Feb 18 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4.30-3mdv2009.1
+ Revision: 342533
- Fix communication of bluez/dbus
- package simple-agent ( discussed on bluez irc channel )

* Mon Feb 16 2009 Frederic Crozat <fcrozat@mandriva.com> 4.30-2mdv2009.1
+ Revision: 340927
- Fix gstreamer plugin install when bootstrapping package
- Fix installation path for gstreamer plugin

* Fri Feb 13 2009 Guillaume Bedot <littletux@mandriva.org> 4.30-1mdv2009.1
+ Revision: 340046
- New version 4.30
- fix mixed-use-of-spaces-and-tabs

* Wed Feb 11 2009 Emmanuel Andry <eandry@mandriva.org> 4.29-1mdv2009.1
+ Revision: 339582
- New version 4.29

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add more config files

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.28-2mdv2009.1
+ Revision: 337217
- fix build with new libtool
- keep bash completion in its own package

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 4.28

* Mon Jan 19 2009 Nicolas Lécureuil <neoclust@mandriva.org> 4.27-1mdv2009.1
+ Revision: 331191
- update to new version 4.27

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 4.25-1mdv2009.1
+ Revision: 326910
- New version 4.25

* Thu Dec 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.22-2mdv2009.1
+ Revision: 312872
- Rebuild for missing package

* Wed Dec 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.22-1mdv2009.1
+ Revision: 312464
- update to new version 4.22

* Mon Dec 01 2008 Frederic Crozat <fcrozat@mandriva.com> 4.17-3mdv2009.1
+ Revision: 308865
- Remove patch4, not needed anymore

* Mon Dec 01 2008 Frederic Crozat <fcrozat@mandriva.com> 4.17-2mdv2009.1
+ Revision: 308855
- No longer start passkey-agent when starting X session

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Own /var/lib/bluetooth

* Sun Oct 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.17-1mdv2009.1
+ Revision: 297440
- update to new version 4.17

* Wed Oct 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.16-1mdv2009.1
+ Revision: 296374
- update to new version 4.16

* Sun Oct 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.14-1mdv2009.1
+ Revision: 295366
- Update to 4.14
- Remove wrong -s arg

* Wed Oct 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.13-3mdv2009.1
+ Revision: 293903
- Fix File list
- Fix service files
- Provides bluez-utils as suggested  by Adam

* Wed Oct 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.13-2mdv2009.1
+ Revision: 293832
- More Obsoletes

* Fri Oct 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.13-1mdv2009.1
+ Revision: 291621
- clean configure
  Fix file list
  Fix hidd install path
- Update to bluez 4.13
- Update to Bluez 4.11
  Merge Bluez-utils ( + patches )
  Obsoletes Bluez-utils

* Sat Aug 02 2008 Emmanuel Andry <eandry@mandriva.org> 3.36-1mdv2009.0
+ Revision: 260785
- New version

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.35-1mdv2009.0
+ Revision: 231283
- New version

* Sun Jun 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.34-1mdv2009.0
+ Revision: 230082
- New version 3.34

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Funda Wang <fundawang@mandriva.org> 3.32-1mdv2009.0
+ Revision: 214627
- update to new version 3.32

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.31-1mdv2009.0
+ Revision: 204512
- New version 3.31

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 3.28-1mdv2008.1
+ Revision: 180967
- Release 3.28

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 3.27-1mdv2008.1
+ Revision: 174389
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 3.26-1mdv2008.1
+ Revision: 165112
-Release 3.26

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 3.25-1mdv2008.1
+ Revision: 161743
- New version

* Tue Dec 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.24-1mdv2008.1
+ Revision: 137802
- New bugfix release

* Thu Dec 20 2007 Adam Williamson <awilliamson@mandriva.org> 3.23-1mdv2008.1
+ Revision: 135962
- new license policy
- new release 3.23

* Sat Nov 10 2007 Jérôme Soyer <saispo@mandriva.org> 3.22-1mdv2008.1
+ Revision: 107312
- New release

* Wed Oct 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.20-1mdv2008.1
+ Revision: 96915
- New version 3.20

* Mon Aug 27 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.15-1mdv2008.0
+ Revision: 71793
- new release: 3.15

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-6mdv2008.0
+ Revision: 63901
- bah

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-4mdv2008.0
+ Revision: 63839
- bah, fix path headers

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-3mdv2008.0
+ Revision: 63827
- fix location of library

* Wed Aug 15 2007 Funda Wang <fundawang@mandriva.org> 3.14-2mdv2008.0
+ Revision: 63671
- fix upgrading

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-1mdv2008.0
+ Revision: 63509
- new release: 3.14

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 3.13-1mdv2008.0
+ Revision: 58035
- drop pkgconfig buildrequires, it's required by rpm-mandriva-setup-build
- 3.13

* Fri May 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.11-1mdv2008.0
+ Revision: 31134
- new version

* Thu May 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.10-1mdv2008.0
+ Revision: 26147
- New version 3.10

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.9-2mdv2008.0
+ Revision: 20512
- build requires pkg-config for proper pkgconfig automatic dependencies computation


* Mon Jan 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.9-1mdv2007.0
+ Revision: 114833
- New version 3.9

* Tue Dec 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-2mdv2007.1
+ Revision: 102080
-x Rebuild

* Mon Dec 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-1mdv2007.1
+ Revision: 102036
- New Version 3.8
- New release 3.7
- bluez-3.4-2mdv2007.0
- Fix rpmlint warnings
- Import bluez

* Sun Aug 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.4-1mdv2007.0
- New release 3.4

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 3.2-1mdv2007.0
- 3.2

* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.1-1
- New release 3.1

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-2mdv2007.0
- Fix major

* Tue Jun 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.0-1mdv2007.0
- New release 3.0

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.25-1mdk
- New release 2.25

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.24-1mdk
- New release 2.24

* Mon Dec 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.23-1mdk
- New release 2.23

* Tue Nov 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.22-1mdk
- New release 2.22

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.21-1mdk
- New release 2.21

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-3mdk
- Revert previous changes

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-2mdk
- Cosmetics

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-1mdk
- New release 2.19

* Tue Jul 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.18-1mdk
- New release 2.18

* Wed May 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.17-1mdk
- New release 2.17
- Drop P0 ( Merged upstream )

* Tue May 10 2005 Pascal Terjan <pterjan@mandriva.org> 2.16-2mdk
- include stdio in bluetooth.h (P0)

* Sat Apr 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.16-1mdk
- 2.16
- Drop Patch0 ( Merged upstream )

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-2mdk 
- Patch0 (CVS): add removed calls needed by libbtctl

* Sat Jan 15 2005 Austin Acton <austin@mandrake.org> 2.14-1mdk
- 2.14
- fix summaries
- add automake macro

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10-1mdk
- Release 2.10
- Move to /%%{_lib}, needed for initscript

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.9-1mdk
- Release 2.9

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 2.8-1mdk
- 2.8
- add pkgconfig file

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 2.7-1mdk
- 2.7
- configure 2.5

* Sun May 02 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-2mdk
- Obsoletes bluez-sdp libs

* Sat May 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-1mdk
- 2.6

